Bug 2133 - rdj - unreadable interface in CP1251 environment
: rdj - unreadable interface in CP1251 environment
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rdj)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-03 02:49 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-03 02:49:29
В окружении CP1251 текст в интерфейсе не перекодируется из KOI8-R. Очень похоже
на недавний глюк с po-файлом из grip (;fuzzy перед служебным блоком). Кстати,
export LANG=ru_RU.KOI8-R; rdj не помогает, что странно.

rdj-0.3.2-alt4

---

---
------- Comment #1 From 2003-02-03 22:35:22 -------
У меня не воспроизводится. Возможно дело в шрифтах? Какие у Вас установлены?
------- Comment #2 From 2003-02-03 22:35:22 -------
У меня не воспроизводится. Возможно дело в шрифтах? Какие у Вас установлены?
------- Comment #3 From 2003-02-04 20:55:57 -------
Баг воспроизводится на всех компах в пределах досягаемости. Вам не удалось
воспроизвести его на системе в CP1251 ? Или в KOI8-R ?

chkfontpath-2.0.1-alt1
wmf-fonts-0.2.8-alt1
XFree86-KOI8-75dpi-fonts-3.0-ipl6mdk
XFree86-100dpi-fonts-4.2.1.1-alt1
urw-fonts-2.0-alt23
cm-super-fonts-tex-dvips-0.3.3-alt6
XFree86-cyr_rfx-fonts-koi8-r-1.1-alt6
fontconfig-2.0-alt12
XFree86-cyr_rfx-fonts-iso8859-5-1.1-ipl2mdk
XFree86-cyr_rfx-fonts-cp1251-1.1-ipl5mdk
ghostscript-fonts-5.50-alt1
XFree86-KOI8-100dpi-fonts-3.0-ipl6mdk
XFree86-75dpi-fonts-4.2.1.1-alt1
cm-super-fonts-tex-0.3.3-alt6
fontconfig-devel-2.0-alt12
cm-super-fonts-pfb-0.3.3-alt6

Странная локализация у rdj, совсем даже и не .po ...
------- Comment #4 From 2003-02-04 20:55:57 -------
Баг воспроизводится на всех компах в пределах досягаемости. Вам не удалось
воспроизвести его на системе в CP1251 ? Или в KOI8-R ?

chkfontpath-2.0.1-alt1
wmf-fonts-0.2.8-alt1
XFree86-KOI8-75dpi-fonts-3.0-ipl6mdk
XFree86-100dpi-fonts-4.2.1.1-alt1
urw-fonts-2.0-alt23
cm-super-fonts-tex-dvips-0.3.3-alt6
XFree86-cyr_rfx-fonts-koi8-r-1.1-alt6
fontconfig-2.0-alt12
XFree86-cyr_rfx-fonts-iso8859-5-1.1-ipl2mdk
XFree86-cyr_rfx-fonts-cp1251-1.1-ipl5mdk
ghostscript-fonts-5.50-alt1
XFree86-KOI8-100dpi-fonts-3.0-ipl6mdk
XFree86-75dpi-fonts-4.2.1.1-alt1
cm-super-fonts-tex-0.3.3-alt6
fontconfig-devel-2.0-alt12
cm-super-fonts-pfb-0.3.3-alt6

Странная локализация у rdj, совсем даже и не .po ...
------- Comment #5 From 2003-02-04 22:51:48 -------
Вот то-то и оно. Трансляция приколочена гвоздями. 
Я проверял на cp1251.
Вот все, что у меня было установлено: 
xfonts-phonetic-19980806-ipl4
urw-fonts-2.0-alt23
XFree86-75dpi-fonts-4.2.1.1-alt1
ghostscript-fonts-5.50-alt1
XFree86-cyr_rfx-fonts-iso8859-5-1.1-ipl2mdk
wmf-fonts-0.2.8-alt1
Для вызова я использовал: LANG=ru_RU.KOI8-R rdj
Этого хватило.
------- Comment #6 From 2003-02-04 22:51:48 -------
Вот то-то и оно. Трансляция приколочена гвоздями. 
Я проверял на cp1251.
Вот все, что у меня было установлено: 
xfonts-phonetic-19980806-ipl4
urw-fonts-2.0-alt23
XFree86-75dpi-fonts-4.2.1.1-alt1
ghostscript-fonts-5.50-alt1
XFree86-cyr_rfx-fonts-iso8859-5-1.1-ipl2mdk
wmf-fonts-0.2.8-alt1
Для вызова я использовал: LANG=ru_RU.KOI8-R rdj
Этого хватило.
------- Comment #7 From 2003-02-05 15:02:36 -------
Ясно, с дополнительным
LANG=ru_RU.KOI8-R
русский текст читается.

Тем не менее, это баг - нужно либо добавить враппер для принудительного выставления LANG перед запуском, либо предложить разработчикам перейти на gettext. Подозреваю, что такие проблемы будут не только с русским языком.

Так как использование на CP1251 возможно, то я бы поставил severity не minor, а feature.

Спасибо за терпение :)
------- Comment #8 From 2003-02-05 15:02:36 -------
Ясно, с дополнительным
LANG=ru_RU.KOI8-R
русский текст читается.

Тем не менее, это баг - нужно либо добавить враппер для принудительного выставления LANG перед запуском, либо предложить разработчикам перейти на gettext. Подозреваю, что такие проблемы будут не только с русским языком.

Так как использование на CP1251 возможно, то я бы поставил severity не minor, а feature.

Спасибо за терпение :)
------- Comment #9 From 2003-02-05 18:05:16 -------
Враппер уже добавлен в rdj-0.3.2-alt4, который уже, или вот-вот, попадёт в
Сизиф.
Разработчик забил на эту программу, так что похоже, что это её последний
\"выход в свет\".
------- Comment #10 From 2003-02-05 18:05:16 -------
Враппер уже добавлен в rdj-0.3.2-alt4, который уже, или вот-вот, попадёт в
Сизиф.
Разработчик забил на эту программу, так что похоже, что это её последний
\"выход в свет\".
------- Comment #11 From 2003-02-05 18:11:46 -------
fixed in rdj-0.3.2-alt4
------- Comment #12 From 2003-02-05 18:11:46 -------
fixed in rdj-0.3.2-alt4